SELECT
    t.table_schema as schema
    , t.table_name as name
    , t.table_type as type
FROM
    information_schema.tables t
WHERE
    t.table_schema in ('savetodb_dev', 'savetodb_xls')
UNION ALL
SELECT
    r.routine_schema as schema
    , r.routine_name as name
    , r.routine_type as type
FROM
    information_schema.routines r
WHERE
    r.routine_schema in ('savetodb_dev', 'savetodb_xls')
ORDER BY
    type
    , schema
    , name;
